class_name EquippableItem extends Item

enum EquipmentType {
    PRIMARY,
    SECONDARY
}

@export var type: EquipmentType = EquipmentType.PRIMARY

func is_primary() -> bool:
    return type == EquipmentType.PRIMARY

func is_secondary() -> bool:
    return type == EquipmentType.SECONDARY
